import { Company } from "./company";
import { BaseApiService } from "../base.api.service";
export declare class CompanyService extends BaseApiService {
    protected getApi(): any;
    findCompany(): Promise<Company>;
    findCompanyById(id: string): Promise<Company>;
    findCompanyByExternalId(organizationId: string | undefined, externalId: string | undefined): Promise<Company | undefined>;
    create(company: Company): Promise<string>;
    generateApiToken(id: string): Promise<string>;
}
//# sourceMappingURL=company.service.d.ts.map